#!/bin/bash
set -x

THISDIR="$(cd $(dirname "$BASH_SOURCE") && pwd -P)"
DST="/var/mirror"

mkdir -p "$DST/ubuntu"

export GNUPGHOME="/etc/debmirror/ubuntu"

debmirror \
	-a ${MIRROR_ARCHITECTURES:-amd64} \
	--no-source \
	-s ${MIRROR_CATEGORIES:-main,universe} \
	-h ${UBUNTU_MIRROR_SOURCE:-archive.ubuntu.com} \
	-d trusty,trusty-updates,trusty-security,trusty-backports \
	-d xenial,xenial-updates,xenial-security,xenial-backports \
	-r /ubuntu \
	--progress \
	--method=http \
	$DST/ubuntu

chmod -R a+rX $DST/ubuntu
